.NET Framework System Requirements

 

The tables in this topic provide the hardware, operating system, and software requirements for the .NET Framework 4.5 and its point releases (4.5.1 and 4.5.2) as well as the .NET Framework 4.6 and its point releases (4.6.1 and 4.6.2). Development environments that enable you to develop applications for the .NET Framework have a separate set of requirements.

For download information and links, see Installing the .NET Framework.

For information on the support lifecycle of .NET Framework versions, see Microsoft Support Lifecycle.

Processor

1 GHz

RAM

512 MB

Disk space (minimum)

 

      32-bit

4.5 GB

      64-bit

4.5 GB

  • The .NET Framework requires administrator privileges in order to install. If you do not have administrator rights to the computer on which you would like to install the .NET Framework, contact your network administrator.

Operating system

Supported editions

Preinstalled with the OS

Installable separately

Windows 10 Anniversary Update

32-bit and 64-bit

.NET Framework 4.6.2

Windows 10 November Update

32-bit and 64-bit

 .NET Framework 4.6.1

Windows 10

32-bit and 64-bit

 .NET Framework 4.6

 .NET Framework 4.6.1

Windows 8.1

32-bit, 64-bit, and ARM

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

 .NET Framework 4.6.1

.NET Framework 4.6.2

Windows 8 

32-bit, 64-bit, and ARM

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

  .NET Framework 4.6.1

Windows 7 SP1

32-bit and 64-bit

--

.NET Framework 4

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

  .NET Framework 4.6

 .NET Framework 4.6.1

.NET Framework 4.6.2

Windows Vista SP2

32-bit and 64-bit

--

.NET Framework 4

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

Windows XP

32-bit and 64-bit

--

.NET Framework 4

Notes: 

  • On Windows 7 systems, the .NET Framework requires Windows 7 SP1. If you are on Windows 7 and have not yet installed Service Pack 1, you will need to do so before installing the .NET Framework.

  • The .NET Framework 4.5 is supported on the Windows Preinstallation Environment (Windows PE). Not all features are supported on Windows PE.

  • The .NET Framework 4 also supports the IA64 platform.

  • For all platforms, we recommend that you upgrade to the latest Windows Service Pack and install critical updates available from the Windows Update website to ensure the best compatibility and security.

  • On 64-bit operating systems, the .NET Framework supports both WOW64 (32-bit processing on a 64-bit machine) and native 64-bit processing.

Operating system

Supported editions

Preinstalled with the OS

Installable separately

Windows Server 2016

64-bit

.NET Framework 4.6.2

Windows Server 2012 R2

64-bit

 .NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

.NET Framework 4.6.1

.NET Framework 4.6.2

Windows Server 2012 (64-bit edition)

64-bit

 .NET Framework 4.5

.NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

 .NET Framework 4.6.1

.NET Framework 4.6.2

Windows Server 2008 R2 SP1

64-bit

--

.NET Framework 4

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

 .NET Framework 4.6.1

.NET Framework 4.6.2

Windows Server 2008 SP2

32-bit and 64-bit

--

.NET Framework 4

.NET Framework 4.5

.NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

Notes:

  • Windows Server 2012 includes the .NET Framework 4.5, so you don't have to install it separately. Similarly, Windows Server 2012 R2 includes the .NET Framework 4.5.1.

  • The .NET Framework is supported in the Server Core Role with Windows Server 2008 R2 SP1 or later, but isn't supported on Windows Server 2008 R2 for Itanium-Based Systems.

  • Windows Server 2008 SP2, the .NET Framework is not supported in the Server Core Role.

  • For all platforms, we recommend that you upgrade to the latest Windows Service Pack and critical updates available from the Windows Update website to ensure the best compatibility and security. Installation of the latest Windows Service Pack may be required on some operating systems.

  • On 64-bit operating systems, the .NET Framework supports both WOW64 (32-bit processing on a 64-bit machine) and native 64-bit processing.

Show: